Red Hat Linux 7.0: The Official Red Hat Linux Getting Started Guide
Anterior | Capítulo 15. Usted se encuentra aquí | Siguiente

# Jugar con los números en chmod

¿Se acuerda de cuando hablábamos del modo abreviado para utilizar el comando chmod? Aquí tiene otro camino para cambiar los permisos; en principio podrá parecerle algo más compleja - especialmente si la matemática no es su punto fuerte.

Volvamos a los permisos originales de `sneakers.txt`.

    -rw-rw-r--    1 newuser newuser     150 Mar 19 08:08 sneakers.txt

Cada permiso puede ser representado por un valor numérico:

- r = 4

- w = 2

- x = 1

- - = 0

Si se suman estos valores, el resultado es utilizado para especificar los permisos.

Para el fichero `sneakers.txt`, aquí tiene un ejemplo de los permisos codificados en números:

     -  (rw-)   (rw-)  (r--)
          |       |      |
        4+2+0   4+2+0  4+0+0

El total para los usuarios es seis, el total para los grupos es seis y el total para para los demás es cuatro. Entonces conseguirá 664.

Si quiere cambiar el fichero `sneakers.txt` también si los usuarios que pertenecen a nuestro mismo grupo no tienen el acceso para escribir, pero pueden leerlo (como se muestra en Figura 15-20), tiene que prohibir el acceso quitando un dos al conjunto de números.

Los valores numéricos se volverán así seis, cuatro y cuatro -- o 644.

Entonces podemos teclear:

    chmod 644 sneakers.txt

Para controlar los cambios, teclee el comando ls -l sneakers.txt:

    -rw-r--r--    1 newuser newuser     150 Mar 19 08:08 sneakers.txt

Figura 15-20. Quitar los permisos de escritura del grupo

Ningún usuario, además del propietario, puede escribir el fichero `sneakers.txt`. Para reestablecer los derechos de escritura del grupo en el fichero, puede añadir el valor w (2) al segundo grupo de permisos.

    chmod 664 sneakers.txt

| Ponga cuidado con los permisos 666 y 777
| Poner los permisos a 666 o 777 dará la posibilidad a todos de leer o escribir un fichero o un directorio. Esta configuración pueden interferir con los ficheros "sensibles a las mayúsculas", por ello no es buena elección utilizarlos normalmente.

Aquí tiene una lista de algunos valores numéricos y los significados relativos:

- `-rw-------` (600) -- Sólo el usuario tiene el derecho de leer y escribir.

- `-rw-r--r--` (644) -- Sólo el usuario tiene los permisos de leer y escribir; el grupo y los demás sólo pueden leer.

- `-rwx------` (700) -- Sólo el usuario tiene los derechos de leer, escribir y ejecutar el fichero.

- `-rwxr-xr-x` (755) -- El usuario tiene los derechos de leer, escribir y ejecutar; el grupo y los demás sólo pueden leer y ejecutar.

- `-rwx--x--x` (711) -- El usuario tiene los derechos de lectura, escritura y ejecución; el grupo y los demás sólo pueden ejecutar.

- `-rw-rw-rw-` (666) -- Cada uno puede leer y escribir en el fichero. ¡No es una buena elección!

- `-rwxrwxrwx` (777) -- Cada uno puede leer, escribir y ejecutar. ¡Otra mala elección!

Aquí tiene un conjunto de valores para los directorios:

- `drwx------` (700) -- Sólo el usuario puede leer y escribir en este directorio.

- `drwxr-xr-x` (755) -- Cualquiera puede leer el directorio, pero su contenido sólo puede ser cambiado por el usuario.

| Resumen
| Puede cambiar los permisos con el comando chmod utilizando letras y números. Teclee chmod`"permisos"` fichero para cambiar los permisos de un fichero o de un directorio.

Ha dado el primer paso en el camino que le llevará a conocer a fondo su sistema Red Hat Linux -- de la navegación al cambio de los permisos. Ahora es el momento de profundizar en la gestión de las posibilidades que su sistema le ofrece.

Anterior | Inicio | Siguiente
Propiedades y permisos | Subir | Trabajar con archivos y directorios